Page MenuHomePhabricator

Requests to globally reset a user's skin preferences
Closed, ResolvedPublic

Description

Due to an incident where an attempt to clean up the database caused some users' skin preferences to revert to the default setting (T114208) some users will want their skin preferences to be reset.

This task is for those users to ask for that to happen.

Please provide:

  • Your global username
    • Preferably it is linked to your Phabricator account so we can verify the request is valid, otherwise make an edit on your user talkpage to verify the request
    • see, eg Greg Grossmeier's user in Phabricator and how it is linked to User:Greg (WMF) on mw.org
  • The skin preference you wish to change to on all wikis (eg: Monobook)

Event Timeline

greg created this task.Nov 20 2015, 4:45 PM
greg updated the task description. (Show Details)
greg raised the priority of this task from to Normal.
greg assigned this task to demon.
greg added a subscriber: greg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2015, 4:45 PM

Will this procedure be notified to all the affected users?

ori set Security to None.
greg added subscribers: Johan, ori.Nov 20 2015, 9:03 PM

I like @ori's suggestion of "On the next edition of Tech News, include a notice that invites users who were affected by this bug to get in touch if they would like a skin preference to be set globally for their account."

For which he just added the User-notice project.

@Johan: let me know if you want any other information about this/help writing the text.

greg added a comment.Nov 21 2015, 12:06 AM

@Johan: My suggested wording:

Skin Preference incident

  • On September 29th there was an accidental removal of users' skin preferences on small and medium sized wikis, defaulting them back to Vector.
  • A restoration of the data from a backup was deemed more disruptive than not.
  • Effected users who would like their skin preference changed globally can make a request as a comment on Phabricator task T119206 until December 21st, 2015 (4 weeks from the publication of this TechNews).
Johan added a comment.Nov 24 2015, 8:33 PM

Sounds good. I'll rephrase it slightly to simplify for non-native speakers ("was deemed more disruptive than not" is pretty difficult to parse if you don't speak English very well, for example), but I don't think there's anything unclear here.

greg added a comment.Nov 24 2015, 8:47 PM

:) thanks

Please change my skin preference to Monobook in all wikis.

NickK added a subscriber: NickK.Nov 30 2015, 5:12 PM

Is it possible to change my skin preferences to Monobook only in wikis where I have edits? I changed my preferences (incl. skin) on each wiki when I made my first edit there, and it was very useful for me to be able to distinguish immediately whether my preferences in a given wiki are already configured or not.

demon added a comment.Nov 30 2015, 5:36 PM

Please change my skin preference to Monobook in all wikis.

Running the script now for all wikis which you have a local account, should be complete in a few minutes.

Is it possible to change my skin preferences to Monobook only in wikis where I have edits?

No that isn't possible I'm afraid. It will only set the preference on wikis in which you have a local account on though, so if you go to a wiki you haven't been to before, you'd get the same effect going forward.

Running the script now for all wikis which you have a local account, should be complete in a few minutes.

Thank you

NickK added a comment.Dec 10 2015, 9:35 PM

No that isn't possible I'm afraid. It will only set the preference on wikis in which you have a local account on though, so if you go to a wiki you haven't been to before, you'd get the same effect going forward.

That's rather annoying. Would it be ok to give a list of wikis where I would like to have monobook back?

demon added a comment.Dec 11 2015, 4:59 PM

No that isn't possible I'm afraid. It will only set the preference on wikis in which you have a local account on though, so if you go to a wiki you haven't been to before, you'd get the same effect going forward.

That's rather annoying. Would it be ok to give a list of wikis where I would like to have monobook back?

Sure, that I can do that easily enough!

demon added a comment.Jan 5 2016, 5:28 AM

No that isn't possible I'm afraid. It will only set the preference on wikis in which you have a local account on though, so if you go to a wiki you haven't been to before, you'd get the same effect going forward.

That's rather annoying. Would it be ok to give a list of wikis where I would like to have monobook back?

Sure, that I can do that easily enough!

Hey @NickK, I was wondering if you still wanted me to take care of this for you. If so just say the word :)

  • Effected users who would like their skin preference changed globally can make a request as a comment on Phabricator task T119206 until December 21st, 2015 (4 weeks from the publication of this TechNews).

So, it's been 6 weeks actually. I'm closing the task for requests now.

demon closed this task as Resolved.Jan 5 2016, 5:28 AM
Nemo_bis reopened this task as Open.Jan 5 2016, 11:46 AM

I still need my preference to be changed back too.

Was this request page ever announced to people?

Was this request page ever announced to people?

Yes, it was at Tech news.

greg added a comment.Jan 6 2016, 9:14 PM

I still need my preference to be changed back too.

This is the first I see you requesting that even though you've been subscribed to this task from the beginning. We (Chad) can still do it, though.

greg closed this task as Resolved.Jan 13 2016, 8:27 PM

@Nemo_bis: Please confirm if/how you would like your global skin preferences changed. I'll close this task now, though.

Nemo_bis reopened this task as Open.Jan 16 2016, 11:40 AM

I still see interface in Vector on some wiki when I'm logged in.

I still see interface in Vector on some wiki when I'm logged in.

@Nemo_bis: Which wiki(s) is "some wiki" in order to check?

demon closed this task as Resolved.Jan 26 2016, 5:36 PM

I still see interface in Vector on some wiki when I'm logged in.

Done on all wikis for you.